---

#! /db/releases/20250222095235/lkp-src/jobs/kvm-unit-tests.yaml
suite: kvm-unit-tests
testcase: kvm-unit-tests
category: functional
kernel_cmdline: kvm.enable_vmware_backdoor=Y
kvm-unit-tests:
job_origin: kvm-unit-tests.yaml
arch: x86_64

#! include/category/functional
kmsg:
heartbeat:
meminfo:

#! include/category/ALL
sanity-check:

#! programs/kvm-unit-tests/include
need_kconfig:
- KVM: m
- KVM_INTEL: m
- X86_INTEL_TSX_MODE_OFF: "n"
- X86_INTEL_TSX_MODE_AUTO: "y"
- X86_INTEL_TSX_MODE_ON: "n"
- KVM: m
- KVM_INTEL: m
- X86_INTEL_TSX_MODE_OFF: "n"
- X86_INTEL_TSX_MODE_AUTO: "y"
- X86_INTEL_TSX_MODE_ON: "n"

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-ivb-d02
tbox_group: lkp-ivb-d02
branch: linux-next/master
commit: 4cad9f87876a943d018ad73ec3919215fb756d2d
job_file: "/lkp/jobs/scheduled/lkp-ivb-d02/kvm-unit-tests-defaults-debian-12-x86_64-20240206.cgz-4cad9f87876a-20250226-895930-y0cql0-1.yaml"
id: c6242af9ab516968920e31165332f425dbf7fab1
queuer_version: "/zday/lkp"

#! /db/releases/20250222095235/lkp-src/hosts/lkp-ivb-d02
model: Ivy Bridge
nr_node: 1
nr_cpu: 4
memory: 8G
nr_hdd_partitions: 4
nr_ssd_partitions: 1
ssd_partitions: "/dev/disk/by-id/ata-INTEL_SSDSC2BA400G4_BTHV634505W5400NGN-part1"
hdd_partitions: "/dev/disk/by-id/ata-ST4000NM0035-1V4107_ZC127QJQ-part1 /dev/disk/by-id/ata-ST4000NM0035-1V4107_ZC127QJQ-part2
  /dev/disk/by-id/ata-ST4000NM0035-1V4107_ZC127QJQ-part3 /dev/disk/by-id/ata-ST4000NM0035-1V4107_ZC127QJQ-part4"
swap_partitions: "/dev/disk/by-id/ata-ST4000NM0035-1V4107_ZC127QJQ-part6"
rootfs_partition: "/dev/disk/by-id/ata-ST4000NM0035-1V4107_ZC127QJQ-part5"
brand: Intel(R) Core(TM) i3-3220 CPU @ 3.30GHz
netconsole_port: 6673
ucode: '0x21'
need_kconfig_hw:
- NET_VENDOR_REALTEK: "y"
- R8169: "y"
- SATA_AHCI
- DRM_I915

#! /db/releases/20250222095235/lkp-src/include/category/functional

#! /db/releases/20250222095235/lkp-src/include/category/ALL

#! /db/releases/20250222095235/lkp-src/programs/kvm-unit-tests/include
rootfs: debian-12-x86_64-20240206.cgz
kconfig: x86_64-rhel-9.4-func
enqueue_time: 2025-02-26 12:42:17.666163561 +08:00
compiler: gcc-12
_rt: "/result/kvm-unit-tests/defaults/lkp-ivb-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-func/gcc-12/4cad9f87876a943d018ad73ec3919215fb756d2d"

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250225-164913"
max_uptime: 1200
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kvm-unit-tests/defaults/lkp-ivb-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-func/gcc-12/4cad9f87876a943d018ad73ec3919215fb756d2d/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-func/gcc-12/4cad9f87876a943d018ad73ec3919215fb756d2d/vmlinuz-6.14.0-rc2-00002-g4cad9f87876a
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-ivb-d02/kvm-unit-tests-defaults-debian-12-x86_64-20240206.cgz-4cad9f87876a-20250226-895930-y0cql0-1.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-func
- commit=4cad9f87876a943d018ad73ec3919215fb756d2d
- kvm.enable_vmware_backdoor=Y
- intremap=posted_msi
- max_uptime=1200
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-func/gcc-12/4cad9f87876a943d018ad73ec3919215fb756d2d/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kvm-unit-tests_20250207.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kvm-unit-tests-x86_64-f77fb696-1_20250207.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20250222095235/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-ivb-d02/kvm-unit-tests-defaults-debian-12-x86_64-20240206.cgz-4cad9f87876a-20250226-895930-y0cql0-1.cgz"
last_kernel: 6.14.0-rc4-wt-ath-03878-gec28d9a615cd
acpi_rsdp: '0x000f0490'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4-func/gcc-12/4cad9f87876a943d018ad73ec3919215fb756d2d/vmlinuz-6.14.0-rc2-00002-g4cad9f87876a"
result_root: "/result/kvm-unit-tests/defaults/lkp-ivb-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-func/gcc-12/4cad9f87876a943d018ad73ec3919215fb756d2d/0"

#! /db/releases/20250226124927/lkp-src/include/site/inn
dequeue_time: 2025-02-26 14:25:55.241273564 +08:00
job_state: booting
